summaryrefslogtreecommitdiff
path: root/qa/459
diff options
context:
space:
mode:
Diffstat (limited to 'qa/459')
-rwxr-xr-xqa/45940
1 files changed, 40 insertions, 0 deletions
diff --git a/qa/459 b/qa/459
new file mode 100755
index 0000000..7fa519d
--- /dev/null
+++ b/qa/459
@@ -0,0 +1,40 @@
+#!/bin/sh
+# PCP QA Test No. 459
+# Memory leak in pmlogreduce (SGI bug reported by Arthur Kepner and
+# Jason Lim).
+#
+# Copyright (c) 2011 SGI. All Rights Reserved.
+# Copyright (c) 2011 Ken McDonell. All Rights Reserved.
+#
+# Note 20101004-trunc created from the original 90Mb 20101004 archive
+# that SGI provided using this command:
+# $ pmlogextract -T 3min 20101004 20101004-trunc
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+_check_valgrind
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed -e "s;$tmp;TMP;"
+}
+
+# real QA test starts here
+_run_valgrind pmlogreduce -t 30sec src/20101004-trunc $tmp 2>&1 | _filter
+
+echo
+echo "Samples: `pmdumplog $tmp | grep '^[0-2]' | wc -l | sed -e 's/ //g'`"
+
+# success, all done
+exit